SQL-инъекция в PHP-Fusion

Дата публикации:
22.11.2005
Дата изменения:
17.10.2006
Всего просмотров:
2781
Опасность:
Средняя
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: PHP-Fusion 6.00.206 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной фильтрации входных данных в параметрах "forum_id" и "thread_id" сценария "options.php", параметра "lastvisited" в сценариях "viewforum.php" и "index.php". Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения. Удачная эксплуатация уязвимости возможна при выключенной опции "magic_quotes_gpc".

Удаленный пользователь может вызвать сценарий "subheader.php" и получить данные об установочной директории приложения на системе.

URL производителя: sourceforge.net/projects/php-fusion/

Решение: Установите исправление с сайта производителя.

Источник:

Ссылки: PHP-Fusion SQL Injection Vulnerabilities

или введите имя

CAPTCHA